Last modified: 2014-09-10 05:18:31 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 66138 - Integrate Wikifont into Core/Extension
Integrate Wikifont into Core/Extension
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
https://www.mediawiki.org/wiki/Design...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-04 20:32 UTC by Jared Zimmerman (WMF)
Modified: 2014-09-10 05:18 UTC (History)
16 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jared Zimmerman (WMF) 2014-06-04 20:32:22 UTC
https://github.com/munmay/WikiFont
Comment 1 Bawolff (Brian Wolff) 2014-06-04 21:05:11 UTC
To ask a stupid question - are there accessibility concerns in regards to using a font like this to replace icons in the interface?
Comment 2 Jared Zimmerman (WMF) 2014-06-04 21:24:45 UTC
Not a stupid question at all. I think the element that holds the character should still have some kind of descriptor or "alt-text" the same way the container holding the image would. Each container would need a Title element (aria?) the same way the element would have if it was an raster, vector, or font.
Comment 3 Gerrit Notification Bot 2014-06-06 07:09:55 UTC
Change 137888 had a related patch set uploaded by Prtksxna:
Add wikifont to core

https://gerrit.wikimedia.org/r/137888
Comment 4 Santhosh Thottingal 2014-06-06 08:46:46 UTC
Is there a guideline/documentation about how to use this in RTL context?
Comment 5 Kunal Mehta (Legoktm) 2014-06-08 08:25:51 UTC
There's a Commons logo in the font, which is copyrighted by the WMF. Is that ok to include in core?

Also, is there an advantage to distributing this as a font versus individual images?
Comment 6 Bawolff (Brian Wolff) 2014-06-08 08:29:28 UTC
(In reply to Kunal Mehta (Legoktm) from comment #5)
> There's a Commons logo in the font, which is copyrighted by the WMF. Is that
> ok to include in core?
> 

/me would go with no. Also besides the copyright concerns, that seems a violation of the principle that stuff in core should be generic
Comment 7 Bawolff (Brian Wolff) 2014-06-08 09:09:05 UTC
(In reply to Bawolff (Brian Wolff) from comment #6)
> (In reply to Kunal Mehta (Legoktm) from comment #5)
> > There's a Commons logo in the font, which is copyrighted by the WMF. Is that
> > ok to include in core?
> > 
> 
> /me would go with no. Also besides the copyright concerns, that seems a
> violation of the principle that stuff in core should be generic

Some folks seem to think the logo is pd-simple, so that might be less of an issue.
Comment 8 Jared Zimmerman (WMF) 2014-06-09 04:24:01 UTC
Its not a problem to remove the commons or W marks but if its not problem it will help consistency and performance to keep them in, just let us know.
Comment 9 Bartosz Dziewoński 2014-07-16 23:48:48 UTC
Just noting that there is some interesting discussion at bug 64789 (especially comments 8 and 9) about the benefits and drawbacks of current method (PNG+SVG image backgrounds) vs icon fonts.
Comment 10 Gerrit Notification Bot 2014-09-04 10:16:14 UTC
Change 137888 abandoned by Jdlrobson:
Add wikifont to core

Reason:
It was decided this should not go into core
See http://www.gossamer-threads.com/lists/wiki/wikitech/502321

We can always restore this later if we find an issue with the SVG approach.  (Abandon doesn't mean destroy :-))

https://gerrit.wikimedia.org/r/137888
Comment 11 Matthew Flaschen 2014-09-10 04:07:10 UTC
Per above, the decision was to use SVG/PNG, rather than a font, on web (including mobile web).  However, we can still use the actual WikiFont glyphs (which are available as SVG).
Comment 12 Nemo 2014-09-10 05:18:31 UTC
This is closed, so it can't block open bugs.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links